Module java.management
Package javax.management.relation

# Class InvalidRoleInfoException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.relation.RelationException
javax.management.relation.InvalidRoleInfoException

All Implemented Interfaces:
  `Serializable`

public class InvalidRoleInfoException extends RelationException
This exception is raised when, in a role info, its minimum degree is greater than its maximum degree.

Since:
  1.5
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidRoleInfoException()`
Default constructor, no message put in exception.
`InvalidRoleInfoException​(String message)`
Constructor with given message put in exception.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidRoleInfoException

public InvalidRoleInfoException()
Default constructor, no message put in exception.

### InvalidRoleInfoException

public InvalidRoleInfoException​(String message)
Constructor with given message put in exception.

Parameters:
  `message` - the detail message.